Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Surveys

Get
GET /surveymodules/{moduleId}/surveys/{surveyId}
https://api.relesysapp.net/api/v1.4/surveymodules/{moduleId}/surveys/{surveyId}
Get the survey with ID surveyId in a module with ID moduleId.
Scopes: relesys.api, relesys.api:read, relesys.api.survey, relesys.api.survey:read
URL Path
moduleId string / guid The module's unique identifier required
surveyId string / guid The survey's unique identifier required
Responses
application/json
JSON
{"data":{"id":"a6f67c62-ba1c-4409-9f32-b1ca12acc1d4","name":"Annual Employee Survey","status":"Published","availableFrom":"2026-08-22T22:44:21","availableFromTimeZone":"","availableUntil":"2026-08-23T22:44:21","availableUntilTimeZone":"","anonymityEnabled":true,"isTracking":false,"locales":[{"culture":"en-US","title":"Annual Employee Survey"},{"culture":"da-DK","title":"Årlig medarbejderundersøgelse"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"64c262d6-40c0-404a-81ba-15ec43832fb5"}],"userGroups":[{"url":null,"name":"User group name example","id":"64e60af6-352c-4319-bcd7-499137cf7298"}],"requireAllUserGroups":false}],"creationDateTime":"2026-08-21T22:44:21.4635793+00:00","lastModifiedDateTime":"2026-08-22T22:44:21.4635793+00:00"}}
object
  data object      
   anonymityEnabled boolean      
   availableFrom string      
   availableFromTimeZone string      
   availableUntil string      
   availableUntilTimeZone string      
   creationDateTime datetimeoffset      
   id string / guid      
   isTracking boolean      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    title string      
   name string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   status string